diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 4e9d5a75..c968892a 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1684,82 +1974,78 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
       <wsdl:input message="tns:subscribeSchool" name="subscribeSchool">
     </wsdl:input>
       <wsdl:output message="tns:subscribeSchoolResponse" name="subscribeSchoolResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateFamilyEmergencyPersonList">
-<wsdl:documentation>Méthode de mise à jour de la liste des personnes à prévenir sur la famille
- La liste comporte toutes les personnes à prévenir. 
+<wsdl:documentation>Met à jour la liste des personnes à prévenir sur la famille
+ La liste comporte toutes les personnes à prévenir.
  Les personnes non présentes dans cette liste sont supprimées en tant que personne à prévenir.
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  emergencyPersonList : liste des personnes à prévenir
 
  -----------------------------</wsdl:documentation>
       <wsdl:input message="tns:updateFamilyEmergencyPersonList" name="updateFamilyEmergencyPersonList">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilyEmergencyPersonListResponse" name="updateFamilyEmergencyPersonListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateCoordinate">
-<wsdl:documentation>Méthode de mise à jour des coordonnées d'une personne
-
+<wsdl:documentation>Met à jour les coordonnées (adresse, téléphones, info CAF) d'une personne
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  numPerson : numéro de personne (obligatoire) 
  adresse : adresse de la personne 
  contact : informatin de contact de la personne 
  CAFInfo : information caf de la personne
 
  -----------------------------
  Traitement : 
- Le numéro de dossier doit toujours être fourni pour identifier la famille.
- Le numéro de personne doit toujours être fourni pour identifier la personne.
- Les données sont mises à jour :
- Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
- Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
+  Le numéro de dossier doit toujours être fourni pour identifier la famille.
+  Le numéro de personne doit toujours être fourni pour identifier la personne.
+  Les données sont mises à jour :
+   Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
+   Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
       <wsdl:input message="tns:updateCoordinate" name="updateCoordinate">
     </wsdl:input>
       <wsdl:output message="tns:updateCoordinateResponse" name="updateCoordinateResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-      <wsdl:fault message="tns:MaelisFamilyExceptionSpec" name="MaelisFamilyExceptionSpec">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateFamily">
-<wsdl:documentation> Méthode de modification de la Famille 
-
+<wsdl:documentation>Met à jour les données de la Famille 
 
  --------------------  
  category : code catégorie familiale (obligatoire)
  situation : code situation familiale (obligatoire)
- flagCom : code/hors commune 
+ flagCom : code/hors commune
  nbChild : nombre d'enfants à charge max 99
  nbTotalChild : nombre d'enfants  max 99
  nbAES : nombre d'AES max 99
- rl1 : responsable légal 1 (facultatif) 
- rl2 : résponsable légal 2 (facultatif)  
+ rl1 : responsable légal 1 (facultatif)
+ rl2 : résponsable légal 2 (facultatif)
  childList : la liste des enfants (facultatif)
  isForceCreateChild : null ou false et doublon de RL1 ou d'enfant détecté
- indicatorList : liste des indicateurs 
- emergencyPersonList : la liste des personnes à prévenir  
+ indicatorList : liste des indicateurs
+ emergencyPersonList : la liste des personnes à prévenir
 
  ----------------------
  Traitement : 
  Le service modifie les données correspondant aux paramètres passés dans la requête :
  -	Une donnée non renseignée (paramètre non présent) n'est pas mise à jour
- -	Une donnée vide (paramètre présent mais chaine vide) efface la donnée 
+ -	Une donnée vide (paramètre présent mais chaine vide) efface la donnée
  La modification d'un dossier existant correspond à la combinaison d'un ou plusieurs éléments suivants :
  -	Modification des informations du premier responsable légal. La transmission du responsable est interprétée comme une demande de modification. 
  -	Création du second responsable légal. Si le Responsable 2 est renseigné sans numéro de personne, création du RL2
  -	Modification des informations du second responsable légal. Si une personne existe dans la famille correspondant au numéro transmis, mise à jour de cette personne
  -	Modification de la situation, de la catégorie, du nombre d'enfant à charge, du nombre dAES
  -	Création d'un enfant. Si la liste des enfants est renseignée, pour chaque enfant sans numéro de personne, création de l'enfant
  -	Modification d'un enfant. Si la liste des enfants est renseignée, pour chaque enfant avec un numéro de personne, mise à jour de l'enfant
 
@@ -1777,17 +2063,17 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
       <wsdl:input message="tns:updateFamily" name="updateFamily">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilyResponse" name="updateFamilyResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="createUpdateQuotient">
-<wsdl:documentation> Méthode de création/mise à jour d'un quotient
+<wsdl:documentation>Crée ou met à jour le quotient d'une personne et d'une famille donnée
 
  -------------------------
  dossierNumber: numéro de la famille (obligatoire)
  personNumber: numéro de la personne (obligatoire)
  Quotient : (obligatoire) 
 	- yearRev : année de revenue (obligatoire)
 	- dateStart : date de début (format DD/MM/YYYY) (obligatoire)
 	- dateFin : date de fin (format DD/MM/YYYY) (obligatoire)
@@ -1803,18 +2089,27 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
 	Renvoie l'identifiant du quotient créé</wsdl:documentation>
       <wsdl:input message="tns:createUpdateQuotient" name="createUpdateQuotient">
     </wsdl:input>
       <wsdl:output message="tns:createUpdateQuotientResponse" name="createUpdateQuotientResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="readCountryList">
+<wsdl:documentation>[REF] Renvoie la liste des pays</wsdl:documentation>
+      <wsdl:input message="tns:readCountryList" name="readCountryList">
+    </wsdl:input>
+      <wsdl:output message="tns:readCountryListResponse" name="readCountryListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="getActivityRate">
-<wsdl:documentation> Méthode de récupération des tarif d'une unité et le top éligible CESU de l'unité
+<wsdl:documentation>Renvoie les tarifs d'une unité et le top éligible CESU de l'unité
 
  -----------------------------
  idSubscribe : identifiant de l'inscription
  numPerson : numéro de personne (obligatoire)
  idUnit : identifiant de l'unité de l'activité
  typeConsum : type de consommateur
  flagCom : commune/hors commune
  idUtilisat : identifiant de l'utilisateur
@@ -1856,168 +2151,156 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
       <wsdl:input message="tns:getActivityRate" name="getActivityRate">
     </wsdl:input>
       <wsdl:output message="tns:getActivityRateResponse" name="getActivityRateResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="isRLExists">
-<wsdl:documentation>Méthode pour vérifier si un responsable existe
+<wsdl:documentation>Vérifie si un responsable légal existe
 
  -------------------------
  	- firstname : prénom
 	- lastname : nom
 	- dateBirth : date de naissance 
  Retourne vrai ou faux </wsdl:documentation>
       <wsdl:input message="tns:isRLExists" name="isRLExists">
     </wsdl:input>
       <wsdl:output message="tns:isRLExistsResponse" name="isRLExistsResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateChildPAI">
-<wsdl:documentation>Méthode de déclaration/modification d'un PAI
+<wsdl:documentation>Déclare ou modifie le PAI d'un Enfant
 
 Cette méthode permet de mettre à jour les informations relatives au PAI pour un enfant
 
  ------------------------------
  personNumber : numéro de l'enfant (obligatoire)
  code : code du type de PAI (obligatoire)
  dateDeb : date de début du PAI
  dateFin : date de fin du PAI
  description : texte libre de description du PAI (longueur max 500)
 
  -----------------------------
  Traitement : 
  Si numéro personne trouvé
- Mise à jour des données PAI 
+   Mise à jour des données PAI 
  Sinon retour erreur pas de personne trouvée</wsdl:documentation>
       <wsdl:input message="tns:updateChildPAI" name="updateChildPAI">
     </wsdl:input>
       <wsdl:output message="tns:updateChildPAIResponse" name="updateChildPAIResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readQualityList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des qualités du référenciel 
-
- -------------------------
- Retourne la liste des code valeur pour les qualités</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des qualités de personne</wsdl:documentation>
       <wsdl:input message="tns:readQualityList" name="readQualityList">
     </wsdl:input>
       <wsdl:output message="tns:readQualityListResponse" name="readQualityListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readSituationList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La  liste des situations 
-
- -------------------------
- Retourne la liste des code valeur pour les situations</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des situations familiales</wsdl:documentation>
       <wsdl:input message="tns:readSituationList" name="readSituationList">
     </wsdl:input>
       <wsdl:output message="tns:readSituationListResponse" name="readSituationListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateChildMedicalRecord">
-<wsdl:documentation>Méthode pour la mise à jour des données médicales d'un enfant
-
- -------------------------</wsdl:documentation>
+<wsdl:documentation>Met à jour les données médicales d'un enfant</wsdl:documentation>
       <wsdl:input message="tns:updateChildMedicalRecord" name="updateChildMedicalRecord">
     </wsdl:input>
       <wsdl:output message="tns:updateChildMedicalRecordResponse" name="updateChildMedicalRecordResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="createChild">
-<wsdl:documentation> Méthode de création d'un enfant 
-
+<wsdl:documentation>Crée un Enfant 
 
 -------------------------
  numDossier : numéro de dossier famille (obligatoire)
  child : informations sur l'enfant (obligatoire)
- isForceCreateChild :  null ou false et doublon d'enfant détecté 
+ isForceCreateChild :  null ou false et doublon d'enfant détecté
  Retourne le numéro de l'enfant
 
  ------------------------
- Traitement : 
+ Traitement :
  On recherche si on trouve un enfant qui existe avec les mêmes nom, prénom et date de naissance.
  En cas de doublon :
 	-	Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon.
 	-	Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
  Les méthodes d'interrogation permettent à l'agent d'effectuer les contrôles nécessaires avant de créer l'enfant.
  Si les contrôles sur l'intégralité des données de la demande sont OK.
- Création enfant
- Retour numéro de l'enfant
+   Création enfant
+   Retour numéro de l'enfant
 
  ------------------------
- Cas où isForceCreatechild = null ou false et doublon d'enfant détecté 
-	-	resultBean: 
-		*	childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.
+ Cas où isForceCreatechild = null ou false et doublon d'enfant détecté
+	-	resultBean :
+		* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.
 </wsdl:documentation>
       <wsdl:input message="tns:createChild" name="createChild">
     </wsdl:input>
       <wsdl:output message="tns:createChildResponse" name="createChildResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="addSuppliedDocument">
-<wsdl:documentation>Méthode de fourniture des pièces 
- Prise en compte des choix éventuels sur les indicateurs
+<wsdl:documentation>Ajoute un document pour une famille donnée et éventuellement par rapport à une personne donnée
 
  ------------------------------
  numDossier: numéro de dossier famille, obligatoire
  numPerson : numéro de la personne, fourni si la pièce est pour un enfant
  documentList :
 	- idDocument : identifiant de la pièce jointe (type de pièce)
 	- depositDate : date de dépôt (si non transmis, date du jour)
 	- filename : nom du fichier avec son extension (.pdf ou autre)
-	- fileSupplied : fichier fourni 
+	- fileSupplied : fichier fourni
 
  ----------------------------- 
- Traitement : 
- Les documents sont ajoutés à la liste des documents fournis par la famille. 
+ Traitement :
+ Les documents sont ajoutés à la liste des documents fournis par la famille.
  Pas de gestion de validité
  Retour : 
- true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
+   true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
       <wsdl:input message="tns:addSuppliedDocument" name="addSuppliedDocument">
     </wsdl:input>
       <wsdl:output message="tns:addSuppliedDocumentResponse" name="addSuppliedDocumentResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="isChildExists">
-<wsdl:documentation>Méthode pour vérifier si un enfant existe
+<wsdl:documentation>Vérifie si un enfant existe
 
  -------------------------
  	- firstname : prénom
 	- lastname : nom
 	- dateBirth : date de naissance 
  Retourne vrai ou faux </wsdl:documentation>
       <wsdl:input message="tns:isChildExists" name="isChildExists">
     </wsdl:input>
       <wsdl:output message="tns:isChildExistsResponse" name="isChildExistsResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="subscribeActivity">
-<wsdl:documentation> Méthode d'inscription à une activité
- Cette méthode permet de créer une inscription sur une plage de dates avec le calendrier correspondant au modèle hebdomadaire fourni.
+<wsdl:documentation>Ajoute une inscription à une activité, pour un enfant donné
+ L'inscription est créée sur une plage de dates avec le calendrier correspondant au modèle hebdomadaire fourni.
  Les identifiants des activités/unités/lieux sont fournis par la méthode de lecture du catalogue d'activité pour un enfant
 
  --------------------------
  personNumber : numéro de l'enfant (obligatoire)
  schoolYear : année scolaire (si non présent, on prend l'année de référence de l'utilisateur portail)
  ActivityUniPlaceBean 
  	- idAct : identifiant de l'activité (obligatoire)
 	- idUni : identifiant de l'unité (obligatoire)
@@ -2082,18 +2365,17 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       <wsdl:input message="tns:subscribeActivity" name="subscribeActivity">
     </wsdl:input>
       <wsdl:output message="tns:subscribeActivityResponse" name="subscribeActivityResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="createFamily">
-<wsdl:documentation>Méthode de création de la Famille 
-  
+<wsdl:documentation>Crée un dossier Famille
 
  -------------------------
  category : code catégorie familiale (obligatoire)
  situation : code situation familiale (obligatoire)
  flagCom : code/hors commune 
  nbChild : nombre d'enfants à charge max 99
  nbTotalChild : nombre d'enfants  max 99
  nbAES : nombre d'AES max 99
@@ -2107,125 +2389,154 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
 
  -------------------------
  Traitement : 
  Un traitement de recherche de doublon est fait pour la création du RL1 et des enfants.
  Pour le RL1, lorsque la date de naissance est fournie, on recherche si on trouve une personne de type RL1 ou RL2 qui existe avec les mêmes nom, prénom et date de naissance.
  En cas de doublon, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où le RL a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon.
  Pour tous les enfants, on recherche si on trouve un enfant qui existe avec les mêmes nom, prénom et date de naissance.
  En cas de doublon :
- -	Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon. 
- -	Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
+  - Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon. 
+  - Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
  Si les contrôles sur l'intégralité des données de la demande sont OK
- Création Famille
- Attribution Mot de passe Famille
- Création RL1
- Création RL1 en tant que payeur et redevable
- Si RL2 renseigné, 
- Création RL2
- Création RL2 en tant que payeur et redevable
- Si Adresse RL2 non renseignée
- Adresse RL2 = Adresse RL1
- Sinon
- Adresse RL2 = Adresse RL1
- Retour résultat : numéro de dossier, mot de passe 
+   Création Famille
+     Attribution Mot de passe Famille
+    Création RL1
+    Création RL1 en tant que payeur et redevable
+    Si RL2 renseigné, 
+     Création RL2
+     Création RL2 en tant que payeur et redevable
+    Si Adresse RL2 non renseignée
+      Adresse RL2 = Adresse RL1
+    Sinon
+      Adresse RL2 = Adresse RL1
+ Retour résultat : numéro de dossier, mot de passe
 
  -------------------------
 	resultBean :
 	* numDossier : numéro de dossier
 	* password : mot de passe portail
- Cas où isForceCreatechild = null ou false et doublon de RL1 ou d'enfant détecté : 
+ Cas où isForceCreatechild = null ou false et doublon de RL1 ou d'enfant détecté :
  	* rl1ErrorList : Le cas échéant, à chaque doublon de RL, message précisant les n° de personne et n° de famille dans lesquelles la personne est déjà présente en tant que RL.
 	* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.</wsdl:documentation>
       <wsdl:input message="tns:createFamily" name="createFamily">
     </wsdl:input>
       <wsdl:output message="tns:createFamilyResponse" name="createFamilyResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readVaccinList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des vaccins 
+    <wsdl:operation name="readChildIndicatorList">
+<wsdl:documentation>[REF] Renvoie la liste des indicateurs pouvant être positionnés sur un enfant</wsdl:documentation>
+      <wsdl:input message="tns:readChildIndicatorList" name="readChildIndicatorList">
+    </wsdl:input>
+      <wsdl:output message="tns:readChildIndicatorListResponse" name="readChildIndicatorListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getChildSubscribeSchoolInformation">
+<wsdl:documentation>Renvoie les informations relative à l'inscription scolaire d'un enfant de la famille ainsi que des autres enfants pour les dérogations
 
  -------------------------
- Retourne la liste des code valeur pour les vaccins</wsdl:documentation>
+ Retourne les informations pour inscrire l'enfant ainsi que les informations des autres enfants pour la gestion des dérogations </wsdl:documentation>
+      <wsdl:input message="tns:getChildSubscribeSchoolInformation" name="getChildSubscribeSchoolInformation">
+    </wsdl:input>
+      <wsdl:output message="tns:getChildSubscribeSchoolInformationResponse" name="getChildSubscribeSchoolInformationResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readVaccinList">
+<wsdl:documentation>[REF] Renvoie la liste des vaccins</wsdl:documentation>
       <wsdl:input message="tns:readVaccinList" name="readVaccinList">
     </wsdl:input>
       <wsdl:output message="tns:readVaccinListResponse" name="readVaccinListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readPAIList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des PAI 
-
- -------------------------
- Retourne la liste des code valeur pour les PAI</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des PAI (Projet d'Accueil Individualisé)</wsdl:documentation>
       <wsdl:input message="tns:readPAIList" name="readPAIList">
     </wsdl:input>
       <wsdl:output message="tns:readPAIListResponse" name="readPAIListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readCategoryList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des catégories 
+    <wsdl:operation name="updatePersonIndicatorList">
+<wsdl:documentation>Met à jour les indicateurs d'une personne (ou d'un enfant)
+ Prise en compte des choix éventuels sur les indicateurs ou du commentaire accompagnant les indicateurs
 
- -------------------------
- Retourne la liste des code valeur pour les catégories</wsdl:documentation>
+ ------------------------------
+ numPerson : numéro de l'enfant (obligatoire)
+ indicators : liste des indicateurs
+ - Code de l'indicateur (obligatoire)
+ - note : Commentaire accompagnant l'indicateur s'il s'agit d'une indicateur de type NOTE
+ - choice : Code du choix accompagnant l'indicateur, s'il s'agit d'un indicateur de type CHOICE
+ - isActive : true/false (true : ajouter / false : supprimer) (obligatoire)
+
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:updatePersonIndicatorList" name="updatePersonIndicatorList">
+    </wsdl:input>
+      <wsdl:output message="tns:updatePersonIndicatorListResponse" name="updatePersonIndicatorListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readTownList">
+<wsdl:documentation>[REF] Renvoie la liste des communes</wsdl:documentation>
+      <wsdl:input message="tns:readTownList" name="readTownList">
+    </wsdl:input>
+      <wsdl:output message="tns:readTownListResponse" name="readTownListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readCategoryList">
+<wsdl:documentation>[REF] Renvoie a liste des catégories familiales</wsdl:documentation>
       <wsdl:input message="tns:readCategoryList" name="readCategoryList">
     </wsdl:input>
       <wsdl:output message="tns:readCategoryListResponse" name="readCategoryListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readFamilyByPassword">
-<wsdl:documentation>Méthode de lecture de la famille avec mot de passe famille
-  
+<wsdl:documentation>Renvoie les données de la famille, avec mot de passe famille
 
  -------------------------
- dossierNumber: numéro de dossier famille
+ dossierNumber : numéro de dossier famille
  password : le mot de passe de la famille
  schoolYear : année scolaire (facultatif)
  incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient 
  referenceYear : année de référence (facultatif), à fournir pour lecture du quotient 
  Retourne le dossier famille
 
  -------------------------
- Si contrôle du mot de passe OK Retour le dossier de la famille</wsdl:documentation>
+ Si contrôle du mot de passe OK retourne le dossier de la famille</wsdl:documentation>
       <wsdl:input message="tns:readFamilyByPassword" name="readFamilyByPassword">
     </wsdl:input>
       <wsdl:output message="tns:readFamilyByPasswordResponse" name="readFamilyByPasswordResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readStreetList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La liste des addressStreet 
-
- -------------------------
- Retourne la liste des idStreet libelleStreet pour les addressStreet</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la liste des voies d'adresse</wsdl:documentation>
       <wsdl:input message="tns:readStreetList" name="readStreetList">
     </wsdl:input>
       <wsdl:output message="tns:readStreetListResponse" name="readStreetListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readOrganList">
-<wsdl:documentation>Méthodes de lecture du paramétrage de référence
- La  liste des organismes 
-
- -------------------------
- Retourne la liste des id code libelle pour les organismes</wsdl:documentation>
+<wsdl:documentation>[REF] Renvoie la  liste des organismes allocataires</wsdl:documentation>
       <wsdl:input message="tns:readOrganList" name="readOrganList">
     </wsdl:input>
       <wsdl:output message="tns:readOrganListResponse" name="readOrganListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
   </wsdl:portType>
@@ -2238,22 +2549,22 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="deletesubscribeResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="updateChildIndicators">
+    <wsdl:operation name="readRLIndicatorList">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="updateChildIndicators">
+      <wsdl:input name="readRLIndicatorList">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="updateChildIndicatorsResponse">
+      <wsdl:output name="readRLIndicatorListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readQuotientList">
       <soap:operation soapAction="" style="document"/>
@@ -2286,16 +2597,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="createOrUpdateChildDietResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="readCountyList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="readCountyList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="readCountyListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="readFamily">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="readFamily">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="readFamilyResponse">
         <soap:body use="literal"/>
       </wsdl:output>
